# Unlink

Unlinks a Unix-domain socket before listening and after closing.

This parameter applies to imptcp: Plain TCP Syslog.

Name:

  Unlink

Scope:

  input

Type:

  boolean

Default:

  input=off

Required?:

  no

Introduced:

  at least 5.x, possibly earlier

## Description

If a unix domain socket is being used this controls whether or not the socket is unlinked before listening and after closing.

## Input usage

    input(type="imptcp" unlink="...")

## See also

See also imptcp: Plain TCP Syslog.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.